Bug 1940876 - Components in ovirt components lack resource requests
Summary: Components in ovirt components lack resource requests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.0
Assignee: Benny Zlotnik
QA Contact: Michael Burman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-19 13:11 UTC by Petr Muller
Modified: 2021-07-27 22:55 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:54:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovirt-csi-driver-operator pull 57 0 None open Bug 1940876: add resources to csi-provisioner 2021-06-02 14:03:31 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:55:01 UTC

Description Petr Muller 2021-03-19 13:11:03 UTC
Description of problem:

 Mar 19 08:41:27.891: FAIL: Pods in platform namespaces are not following resource request/limit rules or do not have an exception granted:
  apps/v1/Deployment/openshift-cluster-csi-drivers/ovirt-csi-driver-controller/container/csi-provisioner does not have a cpu request (rule: "apps/v1/Deployment/openshift-cluster-csi-drivers/ovirt-csi-driver-controller/container/csi-provisioner/request[cpu]")
  apps/v1/Deployment/openshift-cluster-csi-drivers/ovirt-csi-driver-controller/container/csi-provisioner does not have a memory request (rule: "apps/v1/Deployment/openshift-cluster-csi-drivers/ovirt-csi-driver-controller/container/csi-provisioner/request[memory]") 

https://prow.ci.openshift.org/view/gcs/origin-ci-test/logs/periodic-ci-openshift-release-master-nightly-4.8-e2e-ovirt/1372795006540058624

All payload components need requests:

https://github.com/openshift/enhancements/blob/master/CONVENTIONS.md#resources-and-limits

(inspired by https://bugzilla.redhat.com/show_bug.cgi?id=1940518)

Comment 4 Gal Zaidman 2021-06-03 07:01:22 UTC
How to test:
1. Install an Openshift cluster
2. check that all the pods under the CSI deployment have resources.requests section:
oc -n openshift-cluster-csi-drivers get pods
you will get 3 pods:
- ovirt-csi-driver-controller
- ovirt-csi-driver-node
- ovirt-csi-driver-operator
For each of does pods check that there is a resources.requests for each container:
- oc -n openshift-cluster-csi-drivers describe pod ovirt-csi-driver-controller
- oc -n openshift-cluster-csi-drivers describe pod ovirt-csi-driver-node
- oc -n openshift-cluster-csi-drivers describe pod ovirt-csi-driver-operator

Comment 5 Michael Burman 2021-06-03 09:40:33 UTC
Verified on - 4.8.0-0.nightly-2021-06-03-014152 with rhvm-4.4.6.8-0.1.el8ev.noarch


f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}

resources:
      requests:
        cpu: 10m
        memory: 50Mi

Comment 8 errata-xmlrpc 2021-07-27 22:54:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.